BEEM - Android XMPP - Bug #341

CapsManager implementation has minor issue for the protocol

01/31/2011 05:31 AM - Haojie Song

Status: Closed Start date: 01/31/2011
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1.6

Affected version: hg Locale:

Description

As per the protocol, the service discovery request should include 'node' attribute (the 'node’ value from presence 'c' element plus "#"
and 'ver' string). It means should invoke the discoverinfo(String entitylD,String node) method of ServiceDiscoveryManager and pass

the concatenated 'node’ value.

Should modify the validate() method like the below:

private boolean validate(String jid, String ver, String hashMethod, String node) {

try {

DiscoverlInfo info = mSdm.discoverInfo(jid, node+"#"+ver);

}

Associated revisions

Revision 863:e0aad4b3c5d17 - 02/08/2011 09:07 PM - Frédéric Barthéléry

Fix minor issue in CapsManager.

The service discovery request must include the node attribute.

Fix #341

Revision 885:e0aad4b3c5d17 - 02/08/2011 09:07 PM - Da Risk

Fix minor issue in CapsManager.

The service discovery request must include the node attribute.

Fix #341

Revision 864:e0aad4b3c5d17 - 02/08/2011 09:07 PM - Da Risk

Fix minor issue in CapsManager.

The service discovery request must include the node attribute.

Fix #341

History

#1 - 02/08/2011 09:10 PM - Frédéric Barthéléry
- Status changed from New to Assigned
- Assignee set to Frédéric Barthéléry

- Target version set to 0.1.6

Thanks for reporting this. It will be fixed soon.

#2 - 02/08/2011 11:11 PM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset r863.

#3 - 02/28/2011 08:51 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
